org.cybergarage.http

## Class HTTPResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse

Direct Known Subclasses:
  SOAPResponse, SSDPResponse, SubscriptionResponse

    public class HTTPResponse
    extends HTTPPacket

### Constructor Summary

Constructors
Constructor and Description
`HTTPResponse()`
`HTTPResponse(HTTPResponse httpRes)`
`HTTPResponse(HTTPSocket httpSock)`
`HTTPResponse(InputStream in)`

### Method Summary

Methods
`String` `getHeader()`
`int` `getStatusCode()`
`String` `getStatusLineString()`
`boolean` `isSuccessful()`
`void` `print()`
`void` `setStatusCode(int code)`
`String` `toString()`

### Methods inherited from class org.cybergarage.http.HTTPPacket

`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HTTPResponse

    public HTTPResponse()

#### HTTPResponse

    public HTTPResponse(HTTPResponse httpRes)

#### HTTPResponse

    public HTTPResponse(InputStream in)

#### HTTPResponse

    public HTTPResponse(HTTPSocket httpSock)

### Method Detail

#### setStatusCode

    public void setStatusCode(int code)

#### getStatusCode

    public int getStatusCode()

#### isSuccessful

    public boolean isSuccessful()

#### getStatusLineString

    public String getStatusLineString()

#### getHeader

    public String getHeader()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### print

    public void print()